Caution – Deprecated legacy integrationThis endpoint is the legacy integration of PayPal with Mangopay. If you are integrating PayPal for the first time, use the new POST Create a PayPal PayIn endpoint.Existing legacy integrations continue to be supported, but any integration enhancements are only developed on the new endpoint.Platforms are strongly encouraged to move to the new integration to benefit from additional features, including:
Additional API payload data such as shipping preference, platform references, and PayPal user information
Body parameters
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
string
required
The unique identifier of the user at the source of the transaction.
object
required
Information about the debited funds. The amount must be equal to the total of all UnitAmount and TaxAmount of all LineItems.
Show properties
string
required
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
required
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).
object
required
Information about the fees.
Show properties
string
required
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
required
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).
string
required
The unique identifier of the credited wallet.
string
required
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
Allowed values: One of the supported languages in the ISO 639-1 format: DE, EN, ES, FR, IT, NL, PL, PT.The language in which the payment page is to be displayed.
object
Information about the shipping recipient and address for the transaction. If sent, this information overrides the user’s PayPal shipping address. If not sent, the user’s PayPal shipping address is used.
Show properties
string
required
The full name of the shipping addressee.
object
required
Information about the shipping address.
Show properties
string
required
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
required
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersRequired if Country is US, CA, or MX.The region of the address.
string
required
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
Responses
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Information about the debited funds. The amount must be equal to the total of all UnitAmount and TaxAmount of all LineItems.
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).
object
Information about the credited funds (CreditedFunds = DebitedFunds - Fees).
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).
object
Information about the fees.
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as 1260 whereas JPY 12 would be represented as just 12).
string
Returned values:CREATED, SUCCEEDED, FAILEDThe status of the transaction.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.
string
Returned values:PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.
string
Returned values:REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:
REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
The unique identifier of the debited wallet.
string
Returned values:PAYPALThe type of pay-in.
string
Returned values:WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
Returned values: One of the supported languages in the ISO 639-1 format: DE, EN, ES, FR, IT, NL, PL, PT.The language in which the payment page is to be displayed.
object
Information about the shipping recipient and address for the transaction. If sent, this information overrides the user’s PayPal shipping address. If not sent, the user’s PayPal shipping address is used.
Show properties
string
The full name of the shipping addressee.
object
Information about the shipping address.
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the Country is US, CA, or MX.
string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
The email address registered on the PayPal account used to make the payment.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mangopay docs","description":"Product guides and API reference for Mangopay's wallet-first payment infrastructure","colors":{"primary":"#00000E","light":"#FFFFFF","dark":"#12282F"},"logo":{"light":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-light.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=f2bf5f88a1d39831377b5952b46b031c","dark":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-dark.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=98389a9237e8b1abb2aa34b3ca686ee4"},"favicon":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-favicon.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=ee5912ec577e98b0b72a31c063e9325f","api":{"playground":{"display":"simple"}},"background":{"color":{"light":"#FFFFFF","dark":"#090D0D"}},"navbar":{"links":[{"href":"https://mangopay.com/contact","label":"Contact sales"}],"primary":{"type":"button","label":"Dashboard","href":"https://hub.mangopay.com"}},"seo":{"metatags":{"og:image":"/images/seo_og_image_blank.png"},"indexing":"navigable"},"fonts":{"family":"Inter"},"styling":{"eyebrows":"section","latex":false},"integrations":{"gtm":{"tagId":"GTM-PM2TV97"},"hotjar":{"hjid":"5086558","hjsv":"6"}},"contextual":{"options":["copy","view"],"display":"header"},"interaction":{"drilldown":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mangopay","hasAudioNarration":false,"actualSubdomain":"mangopay","customDomains":["docs.mangopay.com"],"gitSource":{"type":"gitlab","owner":"mangopay/dev/offer","repo":"docs","projectId":76955225,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"DISABLED"}},"buildId":"6ad9d6b35b6514564d510183","clientVersion":"0.0.4138","searchFilterCounts":[{"language":"default","tag":"API reference","count":338},{"language":"default","tag":"Guides","count":101},{"language":"default","tag":"APM pay-ins","count":59},{"language":"default","tag":"Integration","count":52},{"language":"default","tag":"Payments","count":40},{"language":"default","tag":"Disputes","count":34},{"language":"default","tag":"Banking pay-ins","count":33},{"language":"default","tag":"Card pay-ins","count":33},{"language":"default","tag":"Echo","count":32},{"language":"default","tag":"Users","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZJhiI2B.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZthiI2B.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZNhiI2B.woff2) format('woff2');\n unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZxhiI2B.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZBhiI2B.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZFhiI2B.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZ9hiA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw6nSHrV.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwenSHrV.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwCnSHrV.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwynSHrV.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw2nSHrV.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwOnSA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n@font-face{font-family:\"AeonikMedium\";src:url(\"https://feature-redesign-2025--dev-mangopay.netlify.app/fonts/aeonik/aeonik-medium.woff\")\n format(\"woff\")}#chat-assistant-disclaimer-text{font-size:0.875rem!important;line-height:1.25rem!important;color:#4b5563!important}#chat-assistant-disclaimer-text .dark{color:#9ca3af!important}.pill{display:inline-flex;margin:12px 0px;padding:0px 8px;justify-content:center;align-items:center;gap:4px;border-radius:4px;font-family:\"JetBrains Mono\", monospace;font-size:14px;font-style:normal;font-weight:700;line-height:20px;text-transform:uppercase}.pill-green{background-color:#89E481;color:#12282F}.pill-orange{background-color:#FFD260;color:#12282F}.pill-red{background-color:#F5C1AE;color:#12282F}.pill-blue{background-color:#AAE0FF;color:#12282F}.pill-gray{margin:0px 12px 0px 0px;background-color:#f5f3f5;color:#2d0f37}.background-color-yellow{background-color:#12282f}.dark .background-color-yellow{background-color:#e5e5e5}.background-color-yellow:hover{background-color:#2a3e44}.dark .background-color-yellow:hover{background-color:#ffffff}.background-color-yellow:hover svg path:first-child{fill:#ffffff}.background-color-yellow:hover svg path:last-child{stroke:#ffffff}.dark .background-color-yellow svg path:first-child{fill:#00000e}.dark .background-color-yellow svg path:last-child{stroke:#00000e}.dark .background-color-yellow:hover svg path:first-child{fill:#00000e}.dark .background-color-yellow:hover svg path:last-child{stroke:#00000e}.card-header-color-yellow{color:#ffffff!important}.dark .card-header-color-yellow{color:#00000e!important}.background-color-lavander{background-color:#dbd9ff}.dark .background-color-lavander{background-color:#b6b2ff}.background-color-lavander:hover{background-color:#b6b2ff}.dark .background-color-lavander:hover{background-color:#867eff}.background-color-lavander:hover svg path:first-child{fill:#00000e}.background-color-lavander:hover svg path:last-child{stroke:#00000e}#search-bar-entry span{color:inherit}#topbar-cta-button a:hover .bg-primary-dark{--primary-dark: 65 83 89}html.dark #topbar-cta-button .bg-primary-dark{--primary-dark: 34 37 37}html.dark #topbar-cta-button a:hover .bg-primary-dark{--primary-dark: 58 61 61}:is(.dark #navbar>div:nth-child(2) .dark\\:border-primary-light){border-color:white}.flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light{font-size:15px}.flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light~div>div{color:rgb(var(--gray-600))}html.dark .flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light~div>div{color:rgb(var(--gray-200))}.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>ul,.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>ol,.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>p{font-size:15px;line-height:1.5rem}html.dark .prose :where(a):not(:where([class~=not-prose],[class~=not-prose] *)){color:inherit;border-bottom-color:white}#page-title{font-family:\"AeonikMedium\", sans-serif;font-weight:500;font-size:48px;line-height:56px}code.language-ruby,code.language-dotnet,code.language-python,code.language-java{color:#fff}code.language-php span,code.language-ruby span{color:#fff}.prose :where(strong):not(:where([class~=\"not-prose\"] *)){color:inherit}:is(.dark .prose strong){color:inherit}#text{color:#fff}.dark .card-header h2,.dark .card-body p{color:#2d0f37}html:not(.dark) .prose{color:#2d0f37}html.dark .prose{color:white}html:not(.dark) .text-gray-600,html:not(.dark) .text-gray-700,html:not(.dark) .text-gray-800,html:not(.dark) .text-gray-900{color:#2d0f37}html.dark .dark\\:text-gray-200,html.dark .dark\\:text-gray-300{color:white}h1{font-weight:800}h2,h3,h4,h5,h6{font-weight:600!important}html.dark h1,html.dark h2,html.dark h3,html.dark h4,html.dark h5,html.dark h6{color:white}html:not(.dark) h1,html:not(.dark) h2,html:not(.dark) h3,html:not(.dark) h4,html:not(.dark) h5,html:not(.dark) h6{color:#2d0f37}.resize-text{font-size:15px}code.language-ruby,code.language-python,code.language-java{color:#fff}code.language-php span,code.language-ruby span{color:#fff}#text{color:#fff}.dark .card-header h2,.dark .card-body p{color:#2d0f37}.prose :where(ol>li):not(:where([class~=\"not-prose\"] *))::marker{color:inherit}.prose :where(blockquote):not(:where([class~=\"not-prose\"] *)){border-color:#2d0f37;color:#2d0f37}:is(.dark .prose blockquote){border-color:white;color:white}html #sidebar{text-wrap:pretty}html #sidebar li{transition:0.15s}html.dark #sidebar .dark\\:text-gray-400 p{color:rgb(159, 158, 160)}:is(.dark .prose a){color:white}:is(.dark .dark\\:decoration-gray-500){text-decoration-color:inherit}.home-card-grid{display:grid;gap:0 1rem;grid-template-columns:1fr}@media (min-width: 640px){.home-card-grid-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.home-card-grid-3{grid-template-columns:repeat(3, minmax(0, 1fr))}}.card,.card *{transition-duration:150ms}.card div.h-6.w-6{width:auto;height:auto}.dark .card:not(.card-variation){background:rgb(20, 23, 23);border:none}.dark .card:not(.card-variation):hover{background-color:#2d2e2f}.card:not(.card-variation):not(.sdk-card)>div{padding:1.5rem}.card:not(.card-variation) p{font-size:16px;margin-top:1rem}.card.shadow-md{box-shadow:unset}.card-variation .card-header{display:flex;justify-content:space-between;align-items:center}.card-variation.background-color-yellow:hover .card-header>h2{color:#ffffff}.card-variation.background-color-lavander:hover .card-header>h2{color:#00000e}.card-variation .card-header>h2{font-size:1.5rem}.card-variation .card-body{margin-top:48px}.card-variation .card-body p{line-height:24px}.card-variation.background-color-yellow:hover .card-body p{color:#ffffff}.dark .card-variation.background-color-yellow:hover .card-body p{color:#00000e}.card-variation.background-color-lavander:hover .card-body p{color:#00000e}.sdk-card{background-color:#f5f5f6;border:hidden}:not(.dark).sdk-card:hover{border:hidden;background-color:#e5e5e9;color:#00000e!important}.dark .sdk-card p{color:#dfdee0}table{border:none;font-size:15px!important;line-height:1.5rem!important}.hx-inside h4{margin-top:0!important}.prose :where(thead th):not(:where([class~=\"not-prose\"] *)){color:#2d0f37}.dark .prose :where(thead th):not(:where([class~=\"not-prose\"] *)){color:white}.header{vertical-align:middle;text-align:left;padding:10px 16px;font-weight:600}.header-compact{vertical-align:middle;text-align:left;font-weight:600}.header-compact-2{padding:10px 16px 10px 0px;vertical-align:top;text-align:left;font-weight:600}.compact{white-space:nowrap}.table-content{padding:10px 16px;vertical-align:top}.table-content p{margin-top:0}.table-content p:last-child{margin-bottom:0}.table-content li{padding-left:1.5rem!important}.table-content>ul:first-child{margin-top:0px!important;margin-bottom:0px!important;vertical-align:top}.table-content>ul:first-child>li:first-child{margin-top:0px!important;margin-bottom:0px!important;vertical-align:top}td:first-child,th:first-child,.dark td:first-child,.dark th:first-child{border-left:none}td:last-child,th:last-child,.dark td:last-child,.dark th:last-child{border-right:none}th{border-right:1px solid #d0d3d0;border-left:1px solid #d0d3d0;border-bottom:1px solid #d0d3d0;border-collapse:collapse}td{border-bottom:1px solid #d0d3d0;border-right:1px solid #d0d3d0;border-left:none;border-collapse:collapse}.dark td{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251;border-left:none}.dark th{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251}.header-column .header{vertical-align:top;margin-top:0em!important}.row-span{border-right:none;border-left:1px solid #d0d3d0}.dark .row-span{border-right:none;border-left:1px solid #4e5251}.no-borders{border:hidden!important}.hug-content{width:1%;white-space:nowrap}.min-height-4-lines{height:7.25rem}.min-height-3-lines{height:5.75rem}.min-height-2-lines{height:4.25rem}.currenciesTable{height:80vh;border-collapse:separate;border-spacing:0}.currenciesTable td{border-bottom:1px solid #d0d3d0;border-right:1px solid #d0d3d0;border-left:none;border-collapse:collapse;color:#374151}.dark .currenciesTable td{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251;color:#9ca3af}.currenciesTable .header{border:1px solid #d0d3d0;border-top:none;border-left:none;background-color:#f3f5f3!important}.dark .currenciesTable .header{border:1px solid #4e5251;border-top:none;border-left:none;background-color:#171919!important}.currenciesTable thead tr:first-child th:first-child,.currenciesTable tbody th:first-child{position:sticky;left:0;z-index:1}.currenciesTable thead{position:sticky;top:0;z-index:2}.dark .currenciesTable thead{position:sticky;top:0;z-index:2}.header-normal-weight{font-weight:normal}.hide{display:none}.release-notes-cards .card h2{margin-top:0px}.release-notes-cards .card h4{font-size:1rem;font-weight:400}.release-notes-cards .card li{font-size:1rem}.release-notes-cards .pill{margin-top:1.2em!important;margin-bottom:0em!important}.release-notes-page :where(h3):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0.2em!important}.release-notes-page :where(h2):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0.2em!important}.release-notes-page .pill{margin-top:1.2em!important}html.dark #content-area button.dark:hover\\:bg-white\\/5{background-color:rgb(20, 23, 23)}html.dark #content-area button.dark:hover\\:bg-white\\/5:hover{background-color:#2d2e2f}#content-area .dark\\:bg-codeblock>button p{font-weight:600}html.dark #content-area div[role=\"listitem\"].border{background-color:rgb(20, 23, 23);border:none}.bar-of-progress{color:#fcb069!important}.bar-of-progress .glow{box-shadow:#fcb069 3px 0px 2px 0px!important}html.dark .bar-of-progress{color:#fcb069!important}html.dark .bar-of-progress .glow{box-shadow:#fcb069 3px 0px 2px 0px!important}.bar-of-progress:after{box-shadow:0px 0px 0px 0px!important}.text-sm.prose{font-size:15px;line-height:1.5rem}:is(.dark :not(pre)>code){border-color:#2d2e2f;background-color:rgb(20, 23, 23)}.not-prose.dark\\:bg-codeblock.rounded-xl{background:rgb(20, 23, 23)}.not-prose.dark\\:bg-codeblock.rounded-xl svg.fill-gray-700{fill:rgb(var(--gray-400))}.not-prose.dark\\:bg-codeblock.rounded-xl>div:first-child{background:#2d2e2f}.not-prose.dark\\:bg-codeblock.rounded-xl>div:first-child>.flex.overflow-x-auto{overflow-y:hidden}::-webkit-scrollbar{height:8px;width:8px}::-webkit-scrollbar-thumb{border-radius:2px;background:rgba(0, 0, 0, 0.1)}html.dark ::-webkit-scrollbar-thumb{background:rgba(255, 255, 255, 0.1)}::-webkit-scrollbar-track{background:rgba(0, 0, 0, 0.1)}html.dark::-webkit-scrollbar-track{background:rgba(255, 255, 255, 0.1)}.z-50.bg-tooltip.max-w-\\[16rem\\].text-center.text-gray-50.text-xs.px-1\\.5.py-1.rounded-lg.border.border-gray-50.dark\\:border-gray-500{font-size:14px;line-height:1.5rem}.lucide-arrow-up-right{visibility:hidden}footer{visibility:hidden}.mermaid{width:100%}.currency-dropdown-container{margin-bottom:25px}.currency-dropdown-label{font-size:15px;margin-right:10px;font-weight:600;display:block;margin-bottom:8px}.currency-dropdown-select{align-items:center;height:2.25rem;line-height:1.5rem;padding-right:0.75em;padding-left:0.875em;border-radius:4px;border:1px solid #ccc;width:25%;box-sizing:border-box;margin-bottom:20px;border-radius:var(--rounded-xl, 0.75rem)}.currency-details-section{font-size:15px}.currency-routes-list{list-style-type:none;padding-left:0}"},{"filePath":"_cookie-banner.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZJhiI2B.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZthiI2B.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZNhiI2B.woff2) format('woff2');\n unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZxhiI2B.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZBhiI2B.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZFhiI2B.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZ9hiA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw6nSHrV.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwenSHrV.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwCnSHrV.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwynSHrV.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw2nSHrV.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwOnSA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n@media (min-width: 600px){#onetrust-button-group{display:flex!important;justify-content:space-between!important}}@media (min-width: 600px){#onetrust-button-group{display:flex!important;flex-direction:row-reverse!important}}@media (min-width: 600px){#onetrust-button-group button{margin-right:12px!important}}#onetrust-pc-btn-handler,#onetrust-reject-all-handler,#onetrust-accept-btn-handler,.ot-pc-refuse-all-handler,.save-preference-btn-handler,#accept-recommended-btn-handler{border-radius:56px!important;font-size:12px!important;font-family:\"JetBrains Mono\", monospace!important;font-weight:500!important;transition:0.2s;min-width:0!important;letter-spacing:normal}#onetrust-reject-all-handler,.ot-pc-refuse-all-handler{border:1px solid #eae7eb!important;color:#12282f!important;background-color:transparent!important;padding:10px 24px!important}#onetrust-reject-all-handler:hover,.ot-pc-refuse-all-handler:hover,#onetrust-reject-all-handler:focus,.ot-pc-refuse-all-handler:focus{border-color:#eae7eb!important;background-color:#eae7eb!important;opacity:1!important}#onetrust-accept-btn-handler,.save-preference-btn-handler,#accept-recommended-btn-handler{background:#867eff!important;border:1px solid #867eff!important;color:#ffffff!important;padding:10px 24px!important}#onetrust-accept-btn-handler:hover,.save-preference-btn-handler:hover,#accept-recommended-btn-handler:hover,#onetrust-accept-btn-handler:focus,.save-preference-btn-handler:focus,#accept-recommended-btn-handler:focus{border-color:#665eff!important;background-color:#665eff!important;color:#ffffff!important;opacity:1!important}#onetrust-pc-btn-handler{border:none!important;color:#12282f!important;background-color:transparent!important;padding:10px 24px!important}#onetrust-pc-btn-handler:hover,#onetrust-pc-btn-handler:focus{color:#12282f!important;padding:10px 24px!important;border-color:#eae7eb!important;background-color:#eae7eb!important;opacity:1!important}#onetrust-consent-sdk #onetrust-pc-sdk div.ot-always-active{color:#867eff!important}#onetrust-consent-sdk #onetrust-pc-sdk .category-menu-switch-handler h3{transition:0.2s}#onetrust-consent-sdk #onetrust-pc-sdk .category-menu-switch-handler:hover h3{color:#867eff}#onetrust-consent-sdk #onetrust-pc-sdk,#onetrust-consent-sdk #onetrust-banner-sdk{border-radius:16px!important}#onetrust-consent-sdk #onetrust-pc-sdk p,#onetrust-consent-sdk #onetrust-banner-sdk p{color:#12282f!important}#onetrust-consent-sdk #onetrust-pc-sdk *:focus,#onetrust-consent-sdk #onetrust-banner-sdk *:focus{outline:none!important}#onetrust-consent-sdk #onetrust-pc-sdk:focus,#onetrust-consent-sdk #onetrust-banner-sdk:focus{outline:none!important}#onetrust-consent-sdk #onetrust-pc-sdk .privacy-notice-link{color:#2d0f37!important;text-decoration:underline!important;transition:0.2s}#onetrust-consent-sdk #onetrust-pc-sdk .privacy-notice-link:hover{color:#867eff!important;text-decoration:underline!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-active-menu{border-color:#867eff!important}#onetrust-consent-sdk #onetrust-banner-sdk{box-shadow:none!important;background-color:#ffffff!important}@media (min-width: 600px){#onetrust-consent-sdk #onetrust-banner-sdk.otCenterRounded{top:auto!important;bottom:24px!important}}#onetrust-consent-sdk #onetrust-banner-sdk #onetrust-policy-text{font-size:14px!important;line-height:24px!important}#onetrust-consent-sdk #onetrust-banner-sdk a[href]{color:#12282f!important;text-decoration:underline!important;transition:0.2s;font-weight:400!important}#onetrust-consent-sdk #onetrust-banner-sdk a[href]:hover{color:#867eff!important;text-decoration:underline!important}#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo #onetrust-policy{margin-top:30px!important}#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:0.875rem!important}@media (min-width: 601px){#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:1.375rem!important}}@media (min-width: 600px){#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:1.5rem!important}}#onetrust-consent-sdk .ot-bnr-logo{display:none!important}#onetrust-consent-sdk #onetrust-pc-sdk{overflow:hidden!important;background:#f9f8f9!important;box-shadow:0px 8px 12px rgba(45, 12, 45, 0.05),\n 0px -2px 4px rgba(45, 12, 45, 0.02), 0px 2px 4px rgba(0, 0, 0, 0.05)!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-pc-footer-logo{display:none!important}#onetrust-consent-sdk #onetrust-pc-sdk .save-preference-btn-handler,#onetrust-consent-sdk #onetrust-pc-sdk .ot-pc-refuse-all-handler,#onetrust-consent-sdk #onetrust-pc-sdk #accept-recommended-btn-handler{border-radius:1.38rem!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-always-active{color:#867eff!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-sdk-container{border-radius:0!important}#onetrust-consent-sdk #onetrust-pc-sdk #ot-pc-desc br{display:none}.footer-ot-cookie-settings-btn .ot-sdk-show-settings,.legal-page .ot-sdk-show-settings{border:none!important;padding:0!important}.footer-ot-cookie-settings-btn .ot-sdk-show-settings:hover,.legal-page .ot-sdk-show-settings:hover{background-color:transparent!important}.legal-page .ot-sdk-show-settings{color:#867eff!important;font-size:inherit!important}.legal-page .ot-sdk-show-settings:hover{color:#867eff!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container{box-shadow:none!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container *{color:#2d0c2d!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container a{text-decoration:none!important;background-color:transparent!important;color:#867eff!important}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-title,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy .ot-sdk-cookie-policy-group,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-description,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h5,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h6,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy li,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy p{font-size:1.25rem!important}@media only screen and (min-width: 768px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-title,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy .ot-sdk-cookie-policy-group,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-description,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h5,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h6,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy li,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy p{font-size:1.25rem!important;line-height:2rem!important}}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy a,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy span,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{font-size:0.9rem!important}@media only screen and (min-width: 768px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy a,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy span,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{font-size:1.25rem!important;line-height:2rem!important}}@media only screen and (max-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy thead,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy tbody,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy th,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy tr{display:block!important}}@media only screen and (min-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy th,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{max-width:200px}}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-host,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-cookies-type{width:auto!important}@media only screen and (min-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-host,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-cookies-type{width:25%!important}}@media only screen and (min-width: 400px){#onetrust-banner-sdk .ot-sdk-container,#onetrust-pc-sdk .ot-sdk-container,#ot-sdk-cookie-policy .ot-sdk-container{width:100%!important}}.cookie-page a{display:inline-block;word-wrap:break-word;max-width:100%!important}.cookie-page table .ot-host-td{word-wrap:break-word!important}"}],"page":{"pagePath":"api-reference/paypal/create-paypal-payin-web","slug":"/api-reference/paypal/create-paypal-payin-web","pageMetadata":{"title":"[Deprecated] Create a PayPal PayIn","api":"POST /v2.01/{ClientId}/payins/paypal/web","description":null,"href":"/api-reference/paypal/create-paypal-payin-web"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,Expandable,Heading,ParamField,ResponseField,Warning}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Caution – Deprecated legacy integration`})}),_jsxs(_components.p,{children:[`This endpoint is the legacy integration of PayPal with Mangopay. If you are integrating PayPal for the first time, use the new `,_jsx(_components.a,{href:`/api-reference/paypal/create-paypal-payin`,children:`POST Create a PayPal PayIn`}),` endpoint.`]}),_jsx(_components.p,{children:`Existing legacy integrations continue to be supported, but any integration enhancements are only developed on the new endpoint.`}),_jsx(_components.p,{children:`Platforms are strongly encouraged to move to the new integration to benefit from additional features, including:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/guides/payment-methods/paypal#recurring-payments`,children:`Recurring payment flows`})}),`\n`,_jsxs(_components.li,{children:[`Support for `,_jsx(_components.a,{href:`/guides/payment-methods/paypal#tracking-information`,children:`tracking information`}),` to sync evidence of shipped goods`]}),`\n`,_jsx(_components.li,{children:`Additional API payload data such as shipping preference, platform references, and PayPal user information`}),`\n`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`body-parameters`,children:`Body parameters`}),`\n`,_jsxs(ParamField,{body:`Tag`,type:`string`,id:`param-tag`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`Custom data that you can add to this object.`,_jsx(_components.br,{}),`\n`,`For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.`]})]}),`\n`,_jsx(ParamField,{body:`AuthorId`,type:`string`,required:true,id:`param-author-id`,children:_jsx(_components.p,{children:`The unique identifier of the user at the source of the transaction.`})}),`\n`,_jsxs(ParamField,{body:`DebitedFunds`,type:`object`,required:true,id:`param-debited-funds`,children:[_jsxs(_components.p,{children:[`Information about the debited funds. The amount must be equal to the total of all `,_jsx(_components.code,{children:`UnitAmount`}),` and `,_jsx(_components.code,{children:`TaxAmount`}),` of all `,_jsx(_components.code,{children:`LineItems`}),`.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`Currency`,type:`string`,required:true,id:`param-currency`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the funds.`})]}),_jsx(ParamField,{body:`Amount`,type:`integer`,required:true,id:`param-amount`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),`\n`,_jsxs(ParamField,{body:`Fees`,type:`object`,required:true,id:`param-fees`,children:[_jsx(_components.p,{children:`Information about the fees.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`Currency`,type:`string`,required:true,id:`param-currency-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the fees.`})]}),_jsx(ParamField,{body:`Amount`,type:`integer`,required:true,id:`param-amount-1`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),`\n`,_jsx(ParamField,{body:`CreditedWalletId`,type:`string`,required:true,id:`param-credited-wallet-id`,children:_jsx(_components.p,{children:`The unique identifier of the credited wallet.`})}),`\n`,_jsxs(ParamField,{body:`ReturnURL`,type:`string`,required:true,id:`param-return-url`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The URL to which the user is returned after the payment, whether the transaction is successful or not.`})]}),`\n`,_jsxs(ParamField,{body:`Culture`,type:`string`,id:`param-culture`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` One of the supported languages in the `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 639-1 format`}),`: DE, EN, ES, FR, IT, NL, PL, PT.`]}),_jsx(_components.p,{children:`The language in which the payment page is to be displayed.`})]}),`\n`,_jsxs(ParamField,{body:`ShippingAddress`,type:`object`,id:`param-shipping-address`,children:[_jsx(_components.p,{children:`Information about the shipping recipient and address for the transaction. If sent, this information overrides the user’s PayPal shipping address. If not sent, the user’s PayPal shipping address is used.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`RecipientName`,type:`string`,required:true,id:`param-recipient-name`,children:_jsx(_components.p,{children:`The full name of the shipping addressee.`})}),_jsxs(ParamField,{body:`Address`,type:`object`,required:true,id:`param-address`,children:[_jsx(_components.p,{children:`Information about the shipping address.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`AddressLine1`,type:`string`,required:true,id:`param-address-line1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The first line of the address.`})]}),_jsxs(ParamField,{body:`AddressLine2`,type:`string`,id:`param-address-line2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The second line of the address.`})]}),_jsxs(ParamField,{body:`City`,type:`string`,required:true,id:`param-city`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The city of the address.`})]}),_jsxs(ParamField,{body:`Region`,type:`string`,id:`param-region`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`Country`}),` is US, CA, or MX.`]}),_jsx(_components.p,{children:`The region of the address.`})]}),_jsxs(ParamField,{body:`PostalCode`,type:`string`,required:true,id:`param-postal-code`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.`})]}),_jsxs(ParamField,{body:`Country`,type:`string`,required:true,id:`param-country`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of the address.`})]})]})]})]})]}),`\n`,_jsxs(ParamField,{body:`StatementDescriptor`,type:`string`,id:`param-statement-descriptor`,children:[_jsx(_components.p,{children:`Max. length: 10 characters; only alphanumeric and spaces`}),_jsxs(_components.p,{children:[`Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the `,_jsx(_components.a,{href:`/bank-statements`,children:`Customizing bank statement references`}),` article for details.`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`responses`,children:`Responses`}),`\n`,_jsx(AccordionGroup,{children:_jsxs(Accordion,{title:`200`,id:`200`,children:[_jsxs(ResponseField,{name:`Id`,type:`string`,id:`param-id`,children:[_jsxs(_components.p,{children:[`Max length: 128 characters (see `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`data formats`}),` for details)`]}),_jsx(_components.p,{children:`The unique identifier of the object.`})]}),_jsxs(ResponseField,{name:`Tag`,type:`string`,id:`param-tag-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`Custom data that you can add to this object.`,_jsx(_components.br,{}),`\n`,`For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.`]})]}),_jsx(ResponseField,{name:`CreationDate`,type:`Unix timestamp`,id:`param-creation-date`,children:_jsx(_components.p,{children:`The date and time at which the object was created.`})}),_jsx(ResponseField,{name:`AuthorId`,type:`string`,id:`param-author-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the user at the source of the transaction.`})}),_jsxs(ResponseField,{name:`CreditedUserId`,type:`string`,id:`param-credited-user-id`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default value:`}),` The unique identifier of the owner of the credited wallet.`]}),_jsx(_components.p,{children:`The unique identifier of the user whose wallet is credited.`})]}),_jsxs(ResponseField,{name:`DebitedFunds`,type:`object`,id:`param-debited-funds-1`,children:[_jsxs(_components.p,{children:[`Information about the debited funds. The amount must be equal to the total of all `,_jsx(_components.code,{children:`UnitAmount`}),` and `,_jsx(_components.code,{children:`TaxAmount`}),` of all `,_jsx(_components.code,{children:`LineItems`}),`.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`Currency`,type:`string`,id:`param-currency-2`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the funds.`})]}),_jsx(ResponseField,{name:`Amount`,type:`integer`,id:`param-amount-2`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),_jsxs(ResponseField,{name:`CreditedFunds`,type:`object`,id:`param-credited-funds`,children:[_jsxs(_components.p,{children:[`Information about the credited funds (`,_jsx(_components.code,{children:`CreditedFunds`}),` = `,_jsx(_components.code,{children:`DebitedFunds`}),` - `,_jsx(_components.code,{children:`Fees`}),`).`]}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`Currency`,type:`string`,id:`param-currency-3`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the funds.`})]}),_jsx(ResponseField,{name:`Amount`,type:`integer`,id:`param-amount-3`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),_jsxs(ResponseField,{name:`Fees`,type:`object`,id:`param-fees-1`,children:[_jsx(_components.p,{children:`Information about the fees.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`Currency`,type:`string`,id:`param-currency-4`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the fees.`})]}),_jsx(ResponseField,{name:`Amount`,type:`integer`,id:`param-amount-4`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),_jsxs(ResponseField,{name:`Status`,type:`string`,id:`param-status`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`CREATED`}),`, `,_jsx(_components.code,{children:`SUCCEEDED`}),`, `,_jsx(_components.code,{children:`FAILED`})]}),_jsx(_components.p,{children:`The status of the transaction.`})]}),_jsx(ResponseField,{name:`ResultCode`,type:`string`,id:`param-result-code`,children:_jsxs(_components.p,{children:[`The code indicating the result of the operation. This information is mostly used to `,_jsx(_components.a,{href:`/errors/codes`,children:`handle errors`}),` or for filtering purposes.`]})}),_jsx(ResponseField,{name:`ResultMessage`,type:`string`,id:`param-result-message`,children:_jsx(_components.p,{children:`The explanation of the result code.`})}),_jsx(ResponseField,{name:`ExecutionDate`,type:`Unix timestamp`,id:`param-execution-date`,children:_jsxs(_components.p,{children:[`The date and time at which the status changed to `,_jsx(_components.code,{children:`SUCCEEDED`}),`, indicating that the transaction occurred. The statuses `,_jsx(_components.code,{children:`CREATED`}),` and `,_jsx(_components.code,{children:`FAILED`}),` return an `,_jsx(_components.code,{children:`ExecutionDate`}),` of `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsxs(ResponseField,{name:`Type`,type:`string`,id:`param-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`PAYIN`}),`, `,_jsx(_components.code,{children:`TRANSFER`}),`, `,_jsx(_components.code,{children:`CONVERSION`}),`, `,_jsx(_components.code,{children:`PAYOUT`})]}),_jsx(_components.p,{children:`The type of the transaction.`})]}),_jsxs(ResponseField,{name:`Nature`,type:`string`,id:`param-nature`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`REGULAR`}),`, `,_jsx(_components.code,{children:`REPUDIATION`}),`, `,_jsx(_components.code,{children:`REFUND`}),`, `,_jsx(_components.code,{children:`SETTLEMENT`})]}),_jsx(_components.p,{children:`The nature of the transaction, providing more information about the context in which the transaction occurred:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`REGULAR`}),` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`REPUDIATION`}),` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`REFUND`}),` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`SETTLEMENT`}),` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.`]}),`\n`]})]}),_jsx(ResponseField,{name:`CreditedWalletId`,type:`string`,id:`param-credited-wallet-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the credited wallet.`})}),_jsx(ResponseField,{name:`DebitedWalletId`,type:`string`,id:`param-debited-wallet-id`,children:_jsx(_components.p,{children:`The unique identifier of the debited wallet.`})}),_jsxs(ResponseField,{name:`PaymentType`,type:`string`,id:`param-payment-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`PAYPAL`})]}),_jsx(_components.p,{children:`The type of pay-in.`})]}),_jsxs(ResponseField,{name:`ExecutionType`,type:`string`,id:`param-execution-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`WEB`}),`, `,_jsx(_components.code,{children:`DIRECT`}),`, `,_jsx(_components.code,{children:`EXTERNAL_INSTRUCTION`})]}),_jsx(_components.p,{children:`The type of execution for the pay-in.`})]}),_jsxs(ResponseField,{name:`RedirectURL`,type:`string`,id:`param-redirect-url`,children:[_jsx(_components.p,{children:`The URL to which to redirect the user to complete the payment.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.`]})]}),_jsxs(ResponseField,{name:`ReturnURL`,type:`string`,id:`param-return-url-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The URL to which the user is returned after the payment, whether the transaction is successful or not.`})]}),_jsxs(ResponseField,{name:`Culture`,type:`string`,id:`param-culture-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` One of the supported languages in the `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 639-1 format`}),`: DE, EN, ES, FR, IT, NL, PL, PT.`]}),_jsx(_components.p,{children:`The language in which the payment page is to be displayed.`})]}),_jsxs(ResponseField,{name:`ShippingAddress`,type:`object`,id:`param-shipping-address-1`,children:[_jsx(_components.p,{children:`Information about the shipping recipient and address for the transaction. If sent, this information overrides the user’s PayPal shipping address. If not sent, the user’s PayPal shipping address is used.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`RecipientName`,type:`string`,id:`param-recipient-name-1`,children:_jsx(_components.p,{children:`The full name of the shipping addressee.`})}),_jsxs(ResponseField,{name:`Address`,type:`object`,id:`param-address-1`,children:[_jsx(_components.p,{children:`Information about the shipping address.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`AddressLine1`,type:`string`,id:`param-address-line1-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The first line of the address.`})]}),_jsxs(ResponseField,{name:`AddressLine2`,type:`string`,id:`param-address-line2-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The second line of the address.`})]}),_jsxs(ResponseField,{name:`City`,type:`string`,id:`param-city-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The city of the address.`})]}),_jsxs(ResponseField,{name:`Region`,type:`string`,id:`param-region-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The region of the address. This field is optional except if the `,_jsx(_components.code,{children:`Country`}),` is US, CA, or MX.`]})]}),_jsxs(ResponseField,{name:`PostalCode`,type:`string`,id:`param-postal-code-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.`})]}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country-1`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of the address.`})]})]})]})]})]}),_jsxs(ResponseField,{name:`StatementDescriptor`,type:`string`,id:`param-statement-descriptor-1`,children:[_jsx(_components.p,{children:`Max. length: 10 characters; only alphanumeric and spaces`}),_jsxs(_components.p,{children:[`Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the `,_jsx(_components.a,{href:`/bank-statements`,children:`Customizing bank statement references`}),` article for details.`]})]}),_jsx(ResponseField,{name:`PaypalBuyerAccountEmail`,type:`string`,id:`param-paypal-buyer-account-email`,children:_jsx(_components.p,{children:`The email address registered on the PayPal account used to make the payment.`})})]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"[Deprecated] Create a PayPal PayIn","api":"POST /v2.01/{ClientId}/payins/paypal/web","description":null,"href":"/api-reference/paypal/create-paypal-payin-web"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Warning}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Caution – Deprecated legacy integration`})}),_jsxs(_components.p,{children:[`This endpoint is the legacy integration of PayPal with Mangopay. If you are integrating PayPal for the first time, use the new `,_jsx(_components.a,{href:`/api-reference/paypal/create-paypal-payin`,children:`POST Create a PayPal PayIn`}),` endpoint.`]}),_jsx(_components.p,{children:`Existing legacy integrations continue to be supported, but any integration enhancements are only developed on the new endpoint.`}),_jsx(_components.p,{children:`Platforms are strongly encouraged to move to the new integration to benefit from additional features, including:`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/guides/payment-methods/paypal#recurring-payments`,children:`Recurring payment flows`})}),`\n`,_jsxs(_components.li,{children:[`Support for `,_jsx(_components.a,{href:`/guides/payment-methods/paypal#tracking-information`,children:`tracking information`}),` to sync evidence of shipped goods`]}),`\n`,_jsx(_components.li,{children:`Additional API payload data such as shipping preference, platform references, and PayPal user information`}),`\n`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`body-parameters`,children:`Body parameters`}),`\n`,_jsxs(ParamField,{body:`Tag`,type:`string`,id:`param-tag`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`Custom data that you can add to this object.`,_jsx(_components.br,{}),`\n`,`For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.`]})]}),`\n`,_jsx(ParamField,{body:`AuthorId`,type:`string`,required:true,id:`param-author-id`,children:_jsx(_components.p,{children:`The unique identifier of the user at the source of the transaction.`})}),`\n`,_jsxs(ParamField,{body:`DebitedFunds`,type:`object`,required:true,id:`param-debited-funds`,children:[_jsxs(_components.p,{children:[`Information about the debited funds. The amount must be equal to the total of all `,_jsx(_components.code,{children:`UnitAmount`}),` and `,_jsx(_components.code,{children:`TaxAmount`}),` of all `,_jsx(_components.code,{children:`LineItems`}),`.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`Currency`,type:`string`,required:true,id:`param-currency`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the funds.`})]}),_jsx(ParamField,{body:`Amount`,type:`integer`,required:true,id:`param-amount`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),`\n`,_jsxs(ParamField,{body:`Fees`,type:`object`,required:true,id:`param-fees`,children:[_jsx(_components.p,{children:`Information about the fees.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`Currency`,type:`string`,required:true,id:`param-currency-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the fees.`})]}),_jsx(ParamField,{body:`Amount`,type:`integer`,required:true,id:`param-amount-1`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),`\n`,_jsx(ParamField,{body:`CreditedWalletId`,type:`string`,required:true,id:`param-credited-wallet-id`,children:_jsx(_components.p,{children:`The unique identifier of the credited wallet.`})}),`\n`,_jsxs(ParamField,{body:`ReturnURL`,type:`string`,required:true,id:`param-return-url`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The URL to which the user is returned after the payment, whether the transaction is successful or not.`})]}),`\n`,_jsxs(ParamField,{body:`Culture`,type:`string`,id:`param-culture`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Allowed values:`}),` One of the supported languages in the `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 639-1 format`}),`: DE, EN, ES, FR, IT, NL, PL, PT.`]}),_jsx(_components.p,{children:`The language in which the payment page is to be displayed.`})]}),`\n`,_jsxs(ParamField,{body:`ShippingAddress`,type:`object`,id:`param-shipping-address`,children:[_jsx(_components.p,{children:`Information about the shipping recipient and address for the transaction. If sent, this information overrides the user’s PayPal shipping address. If not sent, the user’s PayPal shipping address is used.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`RecipientName`,type:`string`,required:true,id:`param-recipient-name`,children:_jsx(_components.p,{children:`The full name of the shipping addressee.`})}),_jsxs(ParamField,{body:`Address`,type:`object`,required:true,id:`param-address`,children:[_jsx(_components.p,{children:`Information about the shipping address.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ParamField,{body:`AddressLine1`,type:`string`,required:true,id:`param-address-line1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The first line of the address.`})]}),_jsxs(ParamField,{body:`AddressLine2`,type:`string`,id:`param-address-line2`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The second line of the address.`})]}),_jsxs(ParamField,{body:`City`,type:`string`,required:true,id:`param-city`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The city of the address.`})]}),_jsxs(ParamField,{body:`Region`,type:`string`,id:`param-region`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`Required if `,_jsx(_components.code,{children:`Country`}),` is US, CA, or MX.`]}),_jsx(_components.p,{children:`The region of the address.`})]}),_jsxs(ParamField,{body:`PostalCode`,type:`string`,required:true,id:`param-postal-code`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.`})]}),_jsxs(ParamField,{body:`Country`,type:`string`,required:true,id:`param-country`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of the address.`})]})]})]})]})]}),`\n`,_jsxs(ParamField,{body:`StatementDescriptor`,type:`string`,id:`param-statement-descriptor`,children:[_jsx(_components.p,{children:`Max. length: 10 characters; only alphanumeric and spaces`}),_jsxs(_components.p,{children:[`Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the `,_jsx(_components.a,{href:`/bank-statements`,children:`Customizing bank statement references`}),` article for details.`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`responses`,children:`Responses`}),`\n`,_jsx(AccordionGroup,{children:_jsxs(Accordion,{title:`200`,id:`200`,children:[_jsxs(ResponseField,{name:`Id`,type:`string`,id:`param-id`,children:[_jsxs(_components.p,{children:[`Max length: 128 characters (see `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`data formats`}),` for details)`]}),_jsx(_components.p,{children:`The unique identifier of the object.`})]}),_jsxs(ResponseField,{name:`Tag`,type:`string`,id:`param-tag-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`Custom data that you can add to this object.`,_jsx(_components.br,{}),`\n`,`For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.`]})]}),_jsx(ResponseField,{name:`CreationDate`,type:`Unix timestamp`,id:`param-creation-date`,children:_jsx(_components.p,{children:`The date and time at which the object was created.`})}),_jsx(ResponseField,{name:`AuthorId`,type:`string`,id:`param-author-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the user at the source of the transaction.`})}),_jsxs(ResponseField,{name:`CreditedUserId`,type:`string`,id:`param-credited-user-id`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Default value:`}),` The unique identifier of the owner of the credited wallet.`]}),_jsx(_components.p,{children:`The unique identifier of the user whose wallet is credited.`})]}),_jsxs(ResponseField,{name:`DebitedFunds`,type:`object`,id:`param-debited-funds-1`,children:[_jsxs(_components.p,{children:[`Information about the debited funds. The amount must be equal to the total of all `,_jsx(_components.code,{children:`UnitAmount`}),` and `,_jsx(_components.code,{children:`TaxAmount`}),` of all `,_jsx(_components.code,{children:`LineItems`}),`.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`Currency`,type:`string`,id:`param-currency-2`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the funds.`})]}),_jsx(ResponseField,{name:`Amount`,type:`integer`,id:`param-amount-2`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),_jsxs(ResponseField,{name:`CreditedFunds`,type:`object`,id:`param-credited-funds`,children:[_jsxs(_components.p,{children:[`Information about the credited funds (`,_jsx(_components.code,{children:`CreditedFunds`}),` = `,_jsx(_components.code,{children:`DebitedFunds`}),` - `,_jsx(_components.code,{children:`Fees`}),`).`]}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`Currency`,type:`string`,id:`param-currency-3`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the funds.`})]}),_jsx(ResponseField,{name:`Amount`,type:`integer`,id:`param-amount-3`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),_jsxs(ResponseField,{name:`Fees`,type:`object`,id:`param-fees-1`,children:[_jsx(_components.p,{children:`Information about the fees.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`Currency`,type:`string`,id:`param-currency-4`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` The three-letter `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,target:`_blank`,children:`ISO 4217 code`}),` (EUR, GBP, etc.) of a `,_jsx(_components.a,{href:`/guides/currencies`,target:`_blank`,children:`supported currency`}),` (depends on feature, contract, and activation settings).`]}),_jsx(_components.p,{children:`The currency of the fees.`})]}),_jsx(ResponseField,{name:`Amount`,type:`integer`,id:`param-amount-4`,children:_jsxs(_components.p,{children:[`An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as `,_jsx(_components.code,{children:`1260`}),` whereas JPY 12 would be represented as just `,_jsx(_components.code,{children:`12`}),`).`]})})]})]}),_jsxs(ResponseField,{name:`Status`,type:`string`,id:`param-status`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`CREATED`}),`, `,_jsx(_components.code,{children:`SUCCEEDED`}),`, `,_jsx(_components.code,{children:`FAILED`})]}),_jsx(_components.p,{children:`The status of the transaction.`})]}),_jsx(ResponseField,{name:`ResultCode`,type:`string`,id:`param-result-code`,children:_jsxs(_components.p,{children:[`The code indicating the result of the operation. This information is mostly used to `,_jsx(_components.a,{href:`/errors/codes`,children:`handle errors`}),` or for filtering purposes.`]})}),_jsx(ResponseField,{name:`ResultMessage`,type:`string`,id:`param-result-message`,children:_jsx(_components.p,{children:`The explanation of the result code.`})}),_jsx(ResponseField,{name:`ExecutionDate`,type:`Unix timestamp`,id:`param-execution-date`,children:_jsxs(_components.p,{children:[`The date and time at which the status changed to `,_jsx(_components.code,{children:`SUCCEEDED`}),`, indicating that the transaction occurred. The statuses `,_jsx(_components.code,{children:`CREATED`}),` and `,_jsx(_components.code,{children:`FAILED`}),` return an `,_jsx(_components.code,{children:`ExecutionDate`}),` of `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsxs(ResponseField,{name:`Type`,type:`string`,id:`param-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`PAYIN`}),`, `,_jsx(_components.code,{children:`TRANSFER`}),`, `,_jsx(_components.code,{children:`CONVERSION`}),`, `,_jsx(_components.code,{children:`PAYOUT`})]}),_jsx(_components.p,{children:`The type of the transaction.`})]}),_jsxs(ResponseField,{name:`Nature`,type:`string`,id:`param-nature`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`REGULAR`}),`, `,_jsx(_components.code,{children:`REPUDIATION`}),`, `,_jsx(_components.code,{children:`REFUND`}),`, `,_jsx(_components.code,{children:`SETTLEMENT`})]}),_jsx(_components.p,{children:`The nature of the transaction, providing more information about the context in which the transaction occurred:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`REGULAR`}),` – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`REPUDIATION`}),` – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`REFUND`}),` – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`SETTLEMENT`}),` – Transfer made to the repudiation wallet by the platform to settle a lost dispute.`]}),`\n`]})]}),_jsx(ResponseField,{name:`CreditedWalletId`,type:`string`,id:`param-credited-wallet-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the credited wallet.`})}),_jsx(ResponseField,{name:`DebitedWalletId`,type:`string`,id:`param-debited-wallet-id`,children:_jsx(_components.p,{children:`The unique identifier of the debited wallet.`})}),_jsxs(ResponseField,{name:`PaymentType`,type:`string`,id:`param-payment-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`PAYPAL`})]}),_jsx(_components.p,{children:`The type of pay-in.`})]}),_jsxs(ResponseField,{name:`ExecutionType`,type:`string`,id:`param-execution-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`WEB`}),`, `,_jsx(_components.code,{children:`DIRECT`}),`, `,_jsx(_components.code,{children:`EXTERNAL_INSTRUCTION`})]}),_jsx(_components.p,{children:`The type of execution for the pay-in.`})]}),_jsxs(ResponseField,{name:`RedirectURL`,type:`string`,id:`param-redirect-url`,children:[_jsx(_components.p,{children:`The URL to which to redirect the user to complete the payment.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.`]})]}),_jsxs(ResponseField,{name:`ReturnURL`,type:`string`,id:`param-return-url-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The URL to which the user is returned after the payment, whether the transaction is successful or not.`})]}),_jsxs(ResponseField,{name:`Culture`,type:`string`,id:`param-culture-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` One of the supported languages in the `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 639-1 format`}),`: DE, EN, ES, FR, IT, NL, PL, PT.`]}),_jsx(_components.p,{children:`The language in which the payment page is to be displayed.`})]}),_jsxs(ResponseField,{name:`ShippingAddress`,type:`object`,id:`param-shipping-address-1`,children:[_jsx(_components.p,{children:`Information about the shipping recipient and address for the transaction. If sent, this information overrides the user’s PayPal shipping address. If not sent, the user’s PayPal shipping address is used.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`RecipientName`,type:`string`,id:`param-recipient-name-1`,children:_jsx(_components.p,{children:`The full name of the shipping addressee.`})}),_jsxs(ResponseField,{name:`Address`,type:`object`,id:`param-address-1`,children:[_jsx(_components.p,{children:`Information about the shipping address.`}),_jsxs(Expandable,{title:`properties`,children:[_jsxs(ResponseField,{name:`AddressLine1`,type:`string`,id:`param-address-line1-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The first line of the address.`})]}),_jsxs(ResponseField,{name:`AddressLine2`,type:`string`,id:`param-address-line2-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The second line of the address.`})]}),_jsxs(ResponseField,{name:`City`,type:`string`,id:`param-city-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The city of the address.`})]}),_jsxs(ResponseField,{name:`Region`,type:`string`,id:`param-region-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The region of the address. This field is optional except if the `,_jsx(_components.code,{children:`Country`}),` is US, CA, or MX.`]})]}),_jsxs(ResponseField,{name:`PostalCode`,type:`string`,id:`param-postal-code-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.`})]}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country-1`,children:[_jsxs(_components.p,{children:[`Format: Two-letter country code (`,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`ISO 3166-1 alpha-2 format`}),`)`]}),_jsx(_components.p,{children:`The country of the address.`})]})]})]})]})]}),_jsxs(ResponseField,{name:`StatementDescriptor`,type:`string`,id:`param-statement-descriptor-1`,children:[_jsx(_components.p,{children:`Max. length: 10 characters; only alphanumeric and spaces`}),_jsxs(_components.p,{children:[`Custom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the `,_jsx(_components.a,{href:`/bank-statements`,children:`Customizing bank statement references`}),` article for details.`]})]}),_jsx(ResponseField,{name:`PaypalBuyerAccountEmail`,type:`string`,id:`param-paypal-buyer-account-email`,children:_jsx(_components.p,{children:`The email address registered on the PayPal account used to make the payment.`})})]})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`200 - Created`,numberOfLines:`45`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`45`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"payin_m_01JJ6ZR0EG3WEFX06DWD672816\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Tag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Example of deprecated PayPal pay-in\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_
[...]
